%{?nodejs_find_provides_and_requires}

%global packagename make-generator-function
%global enable_tests 1

Name:		nodejs-make-generator-function
Version:	1.1.0
Release:	1%{?dist}
Summary:	Returns an arbitrary generator function

License:	MIT
URL:		https://github.com/ljharb/make-generator-function.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Source code doesn't have a license file, but it has been requested at 
# https://github.com/ljharb/make-generator-function/issues/2
# In the meantime, add this one
Source1:	LICENSE-MIT.txt

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Returns an arbitrary generator function, or undefined if generator syntax is
unsupported.


%prep
%autosetup -n package
# license file
cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} --harmony test/index.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Jul  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Initial packaging
